#!/bin/csh

cd ${MW_PROJECT_DIRECTORY}
#./compile_res

if ( "${MW_CURRENT_TARGET}" == "COSMOS D" ) then
	set target = "${MW_OUTPUT_DIRECTORY}/COSMOS D.app/Contents"
else
	set target = "${MW_OUTPUT_DIRECTORY}/COSMOS.app/Contents"
endif

cp -R ../../peripheral "${target}/MacOS"
cd "${target}"
rm -rf `find "MacOS/peripheral" -type d -name CVS`

cp ${MW_PROJECT_DIRECTORY}/app.icns "${target}/Resources/"

